Anonymous Login
2019-10-22 09:57 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000407Pending RequestsTaskspublic2014-08-16 18:55
Reporteropto 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusnewResolutionopen 
Product Version 
Target VersionFixed in Version 
Summary0000407: wrong logic on archive/active and other project dstatus
Descriptionsee also forums.
To make tasks disappear from todo, I need to make the project inactive. But that also archives the project.

Now , task/projects on hold should not be in todo. But on hold != archived.

Proposal: generally, remove project tasks with status proposed, on hold, not defined, complete from todo task screen.

Displayed should be: in progress
in planning maybe in a different color, so that I know it is not a todo yet, but may be soon.

rename active checkbox to archive
TagsNo tags attached.
Attached Files

-Relationships
child of 0000154new Hard-coded System Parameters 
+Relationships

-Notes

~0000821

caseydk (administrator)

Renaming the checkbox to Archive isn't good semantically. It would require you to uncheck the box if you were Archiving it.

That said, the rest of the logic *is* problematic as it's dependent on different magic numbers hardcoded in the backend.

~0000822

opto (manager)

wasn't aware of having to uncheck. That does look strange if renamed.

Revert logic and invert the field in the db entries on next update?

~0001355

caseydk (administrator)

Related to http://forums.web2project.net/viewtopic.php?t=2877
+Notes

-Issue History
Date Modified Username Field Change
2010-04-09 06:51 opto New Issue
2010-04-09 13:33 caseydk Note Added: 0000821
2010-04-09 13:33 caseydk Relationship added child of 0000154
2010-04-11 12:37 opto Note Added: 0000822
2010-04-21 17:57 caseydk Project v1.3 Release (Closed) => v2.0 Release (Closed)
2010-05-31 20:43 caseydk Project v2.0 Release (Closed) => Pending Requests
2010-11-23 11:59 caseydk Note Added: 0001355
2014-08-16 18:55 caseydk Category General => Tasks
2014-08-16 18:55 caseydk Product Version 1.3 =>
+Issue History